Bug 256528 - games/exult: Cannot be fetched
Summary: games/exult: Cannot be fetched
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-10 07:21 UTC by Gian-Simon Purkert
Modified: 2021-06-14 15:35 UTC (History)
1 user (show)

See Also:


Attachments
patch to the ports tree (1.72 KB, patch)
2021-06-11 09:00 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-06-10 07:21:37 UTC
=> exult-exult-v1.7.0.20210429-snapshot-v1.7.0.20210429_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://codeload.github.com/exult/exult/tar.gz/snapshot-v1.7.0.20210429?dummy=/exult-exult-v1.7.0.20210429-snapshot-v1.7.0.20210429_GH0.tar.gz
fetch: https://codeload.github.com/exult/exult/tar.gz/snapshot-v1.7.0.20210429?dummy=/exult-exult-v1.7.0.20210429-snapshot-v1.7.0.20210429_GH0.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/exult-exult-v1.7.0.20210429-snapshot-v1.7.0.20210429_GH0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/exult-exult-v1.7.0.20210429-snapshot-v1.7.0.20210429_GH0.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1
Comment 1 Fernando Apesteguía freebsd_committer 2021-06-11 09:00:07 UTC
Created attachment 225723 [details]
patch to the ports tree

Some old releases seem to have disappeared from the GH site.

This patch updates to the latest snapshot.

Would you give it a try?
Comment 2 Gian-Simon Purkert 2021-06-11 10:40:58 UTC
Works!

Thanks have a great Day,

Gian
Comment 3 Fernando Apesteguía freebsd_committer 2021-06-11 11:01:22 UTC
(In reply to Gian-Simon Purkert from comment #2)
OK,

I need more testing in other combinations of version/archs. I will commit this on monday.

Thanks for testing.
Comment 4 commit-hook freebsd_committer 2021-06-14 15:34:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b71b1fdc863fd1610284dd4c084f47c20526ba4c

commit b71b1fdc863fd1610284dd4c084f47c20526ba4c
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-06-11 08:57:42 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-06-14 15:29:59 +0000

    games/exult: update to 1.7.0.20210603

    This collaterally fixes the fetch problem.

    While here, pet linters.

    PR:     256528
    Reported by:    gspurki@gmail.com

 games/exult/Makefile | 7 +++----
 games/exult/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 7 deletions(-)
Comment 5 Fernando Apesteguía freebsd_committer 2021-06-14 15:35:02 UTC
Fixed.

Thanks!